Type to search.

Update a budget for the organization.

Base URL
https://cloud.elastic.co Public

Update an organization's existing budget. Callers with org-wide budget access may update any budget; others may update only cloud-resource-scoped budgets for which they have update access on all scoped resources.

Path parameters

organization_id string required

The organization ID

budget_id integer required

The budget ID

Request body

active boolean · default: true

Whether the budget is active

alerts object[] required

List of budget alerts. The service enforces a server-side limit on the number of alerts per budget.

operator enum required

Alert operator

Values: gte
threshold integer required

Alert threshold value

threshold_type enum · default: percentage

Type of alert threshold; only percentage is supported

Values: percentage
amount integer required

Budget amount in ECU

name string

Optional name for the budget

period enum deprecated

Deprecated, use window instead. period=monthly is equivalent to a monthly window with reset_on.day=1. If both period and window are sent they must describe the same schedule.

Values: monthly
recipient_group enum[]

Optional list of recipient types who receive budget alerts (organization-admins, billing-admins, resource-viewers, resource-editors, resource-admins). resource-viewers, resource-editors and resource-admins cannot be used with scope_type=organization.

Values: organization-admins billing-admins resource-viewers resource-editors resource-admins
scope_type enum required

The scope type of the budget

Values: organization cloud_resource
scope_values string[] required

List of scope values

Responses

204

Budget updated successfully

400

Invalid request

403

Not allowed to update this budget

404

Budget not found

500

Internal Server Error